Bug 726168 - libmtp-1.0.6 breaks Creative ZEN V Plus
libmtp-1.0.6 breaks Creative ZEN V Plus
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libmtp (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-27 13:54 EDT by nucleo
Modified: 2012-01-25 17:33 EST (History)
2 users (show)

See Also:
Fixed In Version: libmtp-1.1.2-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-25 17:33:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description nucleo 2011-07-27 13:54:34 EDT
Description of problem:
Updating libmtp to libmtp-1.0.6-3.fc14.i686 breaks Creative ZEN V Plus.
Downgrading to libmtp-1.0.3-5.fc14 makes it working again.

Here aeeor messages with mtp-detect after update to 1.0.6:

libmtp version: 1.0.6

Listing raw device(s)
Device 0 (VID=041e and PID=4152) is a Creative ZEN V Plus.
   Found 1 device(s):
   Creative: ZEN V Plus (041e:4152) @ bus 1, dev 5
Attempting to connect device(s)
ignoring usb_claim_interface = -16ignoring usb_claim_interface = -22PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
inep: usb_get_endpoint_status(): Device or resource busy
outep: usb_get_endpoint_status(): Device or resource busy
usb_clear_halt() on IN endpoint: Device or resource busy
usb_clear_halt() on OUT endpoint: Device or resource busy
usb_clear_halt() on INTERRUPT endpoint: Device or resource busy
LIBMTP libusb: Attempt to reset device
ignoring usb_claim_interface = -16ignoring usb_claim_interface = -22LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

Device info:

kernel: usb 1-1: new full speed USB device using uhci_hcd and address 5
kernel: usb 1-1: New USB device found, idVendor=041e, idProduct=4152
kernel: usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
kernel: usb 1-1: Product: Creative Zen V Plus
kernel: usb 1-1: Manufacturer: Creative Technology Ltd
Comment 1 Lonni J Friedman 2011-09-26 21:39:44 EDT
Also seeing this with Fedora15:
$ gnomad2 
Device 0 (VID=041e and PID=4150) is a Creative ZEN V.
PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
Segmentation fault
Comment 2 Fedora Update System 2012-01-15 10:10:26 EST
libmtp-1.1.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libmtp-1.1.2-1.fc16
Comment 3 Fedora Update System 2012-01-15 21:18:34 EST
Package libmtp-1.1.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libmtp-1.1.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0530/libmtp-1.1.2-1.fc16
then log in and leave karma (feedback).
Comment 4 Lonni J Friedman 2012-01-15 21:29:09 EST
So no fix for F15 ?
Comment 5 Fedora Update System 2012-01-25 17:33:04 EST
libmtp-1.1.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.